<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" xmlns:xi="http://www.w3.org/2001/XInclude" type="guide" style="task" id="image.c" xml:lang="cs">
  <info>
    <title type="text">Image (C)</title>
    <link type="guide" xref="c#display-widgets"/>
    <revision version="0.1" date="2012-05-23" status="draft"/>

    <credit type="author copyright">
      <name>Monica Kochofar</name>
      <email its:translate="no">monicakochofar@gmail.com</email>
      <years>2012</years>
    </credit>

    <desc>Widget zobrazující obrázek</desc>
  </info>

  <title>Image</title>
   <media type="image" mime="image/png" src="media/image.png"/>
   <p>Tato GtkApplication zobrazí soubor s obrázkem z aktuální složky.</p>
  <note><p>V případě, že se soubor s obrázkem úspěšně nenačte, bude obrázek obsahovat ikonu „poškozený obrázek“. Aby tento program fungoval, musí se <file>gnome-image.png</file> nacházet v aktuální složce. Použijte svůj oblíbený obrázek!</p></note>

<code mime="text/x-csrc" style="numbered">#include &lt;gtk/gtk.h&gt;



static void
activate (GtkApplication *app,
          gpointer        user_data)
{
  GtkWidget *window;
  GtkWidget *image;

  /* Vytvoří okno s názvem a výchozí velikostí */
  window = gtk_application_window_new (app);
  gtk_window_set_title (GTK_WINDOW (window), "Welcome to GNOME");
  gtk_window_set_default_size (GTK_WINDOW (window), 300, 300);

  image = gtk_image_new_from_file ("gnome-image.png");

  gtk_container_add (GTK_CONTAINER (window), GTK_WIDGET (image));

  gtk_widget_show_all (GTK_WIDGET (window));
}



int
main (int argc, char **argv)
{
  GtkApplication *app;
  int status;

  app = gtk_application_new ("org.gtk.example",G_APPLICATION_FLAGS_NONE);
  g_signal_connect (app, "activate", G_CALLBACK (activate), NULL);
  status = g_application_run (G_APPLICATION (app), argc, argv);
  g_object_unref (app);
  return status;
}
</code>
<p>V této ukázce se používá následující:</p>
<list>
  <item><p><link href="http://developer.gnome.org/gtk3/3.4/GtkApplication.html">GtkApplication</link></p></item>
  <item><p><link href="http://developer.gnome.org/gtk3/stable/GtkWindow.html">GtkWindow</link></p></item>
 <item><p><link href="http://developer.gnome.org/gtk3/stable/GtkImage.html">GtkImage</link></p></item>
</list>
</page>
